"use strict";


var path = require("path");
var HandlebarsPlugin = require("handlebars-webpack-plugin");


module.exports = {

	context: path.join(process.cwd(), "app/src"),
    entry: "./index",
    output: {
        path: path.join(process.cwd(), "build"),
        filename: "bundle.js"
    },

    handlebars: {

    	resolve: {
    		root: [
    			path.join(process.cwd(), "app", "src", "components")
    		]
    	}
    },

    plugins: [

        new HandlebarsPlugin({

            entry: path.join(process.cwd(), "app", "src", "index.hbs"),
            output: path.join(process.cwd(), "build", "index.html"),
            data: require("./app/data/data.json"),

            partials: [
                 path.join(process.cwd(), "app", "src", "components", "*", "*.hbs")
            ],

            helper: {
                test: function (contents) {
                    return "test helper - " + contents;
                }
            }
        })
    ],

    resolve: {

    	root: []
    },

    module: {

    	loaders: [
    		{
    			test: /index.hbs($|\?)/,
    			loader: path.join(process.cwd(), "webpack/handlebars-loader")
    		},
    		// {
    		// 	test: /\.hbs$/,
    		// 	loader: "raw"
    		// }
    	]
    }
};